Skip to main content
GET
Error

Authorizations

donate-api-key
string
header
required

Developer API key. Required for config create/list and project analytics. The disabled config DELETE endpoint also requires authentication. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.

Query Parameters

limit
integer

Page size (min 1, max 200)

Required range: 1 <= x <= 200
cursor
string

Cursor for next page (from previous pageKey)

isEnabled
enum<string>

Filter by enabled state. Omit to return all charities unless publicOnly is set.

Available options:
true,
false
term
string

Search term

Maximum string length: 200
orderMode
enum<string>
Available options:
relevance,
alphabetical,
topDonations,
recentDonations,
recentlyAdded
includeStats
enum<string>
default:false
Available options:
true,
false
publicOnly
enum<string>
default:false
Available options:
true,
false
directDonationOnly
enum<string>
default:false
Available options:
true,
false

Response

OK

pageKey
string | null
required
response
object[]
required